During CI runs we receive x509: certificate has expired or is not yet valid for GET/POST requests

Solution Verified - Updated -

Issue

  • We have received a similar error twice for some of our CI jobs. Similar/same jobs succeeded before or afterward those errors
ERROR: Job failed (system failure): error sending request: Post https://172.x.y.z.:443/api/v1/namespaces/apps/pods/runner-pod/exec?command=gitlab-runner-build&container=helper&container=helper&stderr=true&stdin=true&stdout=true: x509: certificate has expired or is not yet valid
  • We suspect a time difference within the cluster might be the cause.

Environment

  • Red Hat OpenShift Container Platform
    • 4.3

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In